import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import Pagination from '@/components/pagination';
import { NTabPane, NTabs } from 'naive-ui';
import CardType from '/src/components/card-type';
import SearchGroupResources from './search-group-resources';
export default defineComponent({
  name: 'student-studentList',
  setup() {
    const state = reactive({
      searchWord: '',
      loading: false,
      pagination: {
        page: 1,
        rows: 10,
        pageTotal: 4
      },
      tableList: [] as any
    });
    const forms = reactive({
      list: [
        {
          id: 1,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '夏日曲演奏',
          isCollect: false, // 是否收藏
          isSelected: false // 是否精选
        },
        {
          id: 2,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '欢乐颂',
          isCollect: true, // 是否收藏
          isSelected: true // 是否精选
        },
        {
          id: 3,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '夏日曲演奏',
          isCollect: false, // 是否收藏
          isSelected: true // 是否精选
        },
        {
          id: 4,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '欢乐颂',
          isCollect: true, // 是否收藏
          isSelected: false // 是否精选
        }
      ],
      height: '100%' as any
    });
    const getList = () => {
      console.log('getList');
    };
    return () => (
      <div class={styles.listWrap}>
        <NTabs
          animated
          defaultValue="shareResources"
          paneClass={styles.paneTitle}
          justifyContent="center"
          paneWrapperClass={styles.paneWrapperContainer}>
          <NTabPane name="shareResources" tab="选择曲目">
            <SearchGroupResources />

            <div class={styles.list}>
              {forms.list.map((item: any) => (
                <CardType item={item} />
              ))}
            </div>

            <Pagination
              v-model:page={state.pagination.page}
              v-model:pageSize={state.pagination.rows}
              v-model:pageTotal={state.pagination.pageTotal}
              onList={getList}
            />
          </NTabPane>
          <NTabPane name="myResources" tab="我的资源">
            <SearchGroupResources />

            <div class={styles.list}>
              {forms.list.map((item: any) => (
                <CardType item={item} />
              ))}
            </div>

            <Pagination
              v-model:page={state.pagination.page}
              v-model:pageSize={state.pagination.rows}
              v-model:pageTotal={state.pagination.pageTotal}
              onList={getList}
            />
          </NTabPane>
          <NTabPane name="myCollect" tab="我的收藏">
            <SearchGroupResources />

            <div class={styles.list}>
              {forms.list.map((item: any) => (
                <CardType item={item} />
              ))}
            </div>

            <Pagination
              v-model:page={state.pagination.page}
              v-model:pageSize={state.pagination.rows}
              v-model:pageTotal={state.pagination.pageTotal}
              onList={getList}
            />
          </NTabPane>
        </NTabs>
      </div>
    );
  }
});
