import { NButton, NIcon, NScrollbar, NTabPane, NTabs } from 'naive-ui';
import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import CardType from '@/components/card-type';
import { NBaseIcon } from 'naive-ui/es/_internal';
import SearchGroup from './search-group';

export default defineComponent({
  name: 'select-music',
  emits: ['select'],
  setup(props, { emit }) {
    const forms = reactive({
      list: [
        {
          id: 1,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '夏日曲演奏',
          isCollect: false, // 是否收藏
          isSelected: false // 是否精选
        },
        {
          id: 2,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '欢乐颂',
          isCollect: true, // 是否收藏
          isSelected: true // 是否精选
        },
        {
          id: 3,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '夏日曲演奏',
          isCollect: false, // 是否收藏
          isSelected: true // 是否精选
        },
        {
          id: 4,
          type: 'IMG',
          url: 'https://lanhu-dds-backend.oss-cn-beijing.aliyuncs.com/merge_image/imgs/24a8551d69b245e0aec1c8613bf50d46_mergeImage.png',
          title: '欢乐颂',
          isCollect: true, // 是否收藏
          isSelected: false // 是否精选
        }
      ],
      height: '100%' as any
    });
    return () => (
      <div class={styles.selectMusic}>
        <NTabs
          animated
          defaultValue="shareResources"
          paneClass={styles.paneTitle}
          justifyContent="center"
          paneWrapperClass={styles.paneWrapperContainer}>
          <NTabPane name="shareResources" tab="选择曲目">
            <SearchGroup />
            <NScrollbar class={styles.listContainer}>
              <div class={styles.list}>
                {forms.list.map((item: any) => (
                  <CardType
                    isShowAdd
                    item={item}
                    onAdd={(i: any) => emit('select', i)}
                  />
                ))}
              </div>
            </NScrollbar>
          </NTabPane>
        </NTabs>
      </div>
    );
  }
});
